diff -u ejabberd-1.1.2/debian/postrm ejabberd-1.1.2/debian/postrm
--- ejabberd-1.1.2/debian/postrm
+++ ejabberd-1.1.2/debian/postrm
@@ -7,7 +7,9 @@
 
 CONFIG_TARGET=/etc/ejabberd/ejabberd.cfg
 
-. /usr/share/debconf/confmodule
+if [ -f /usr/share/debconf/confmodule ]; then
+	. /usr/share/debconf/confmodule
+fi
 
 case "$1" in
     remove|upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
diff -u ejabberd-1.1.2/debian/changelog ejabberd-1.1.2/debian/changelog
--- ejabberd-1.1.2/debian/changelog
+++ ejabberd-1.1.2/debian/changelog
@@ -1,3 +1,13 @@
+ejabberd (1.1.2-7.1) unstable; urgency=high
+
+  * Non-maintainer upload during BSP.
+  * Fix unconditional use of debconf in postrm (Closes: #416743).
+  * Updated Russian translation thanks Mikhail Gusarov (Closes: #408410).
+  * Add Portuguese debconf translation (Closes: #416779).
+  * Fix FTBFS when built twice in a row (Closes: #424193).
+
+ -- Luk Claes <luk@debian.org>  Fri, 18 May 2007 12:39:15 +0200
+
 ejabberd (1.1.2-7) unstable; urgency=low
 
   * Rebuild the package with newer erlang.
diff -u ejabberd-1.1.2/debian/rules ejabberd-1.1.2/debian/rules
--- ejabberd-1.1.2/debian/rules
+++ ejabberd-1.1.2/debian/rules
@@ -33,0 +34,2 @@
+cleanbuilddir/ejabberd::
+	rm -f patches/patches
diff -u ejabberd-1.1.2/debian/po/ru.po ejabberd-1.1.2/debian/po/ru.po
--- ejabberd-1.1.2/debian/po/ru.po
+++ ejabberd-1.1.2/debian/po/ru.po
@@ -16,7 +16,7 @@
 "Project-Id-Version: 1.1.1-5\n"
 "Report-Msgid-Bugs-To: twerner@debian.org\n"
 "POT-Creation-Date: 2006-10-04 14:20+0200\n"
-"PO-Revision-Date: 2006-07-23 11:45+0400\n"
+"PO-Revision-Date: 2007-01-25 23:46+0600\n"
 "Last-Translator: Sergei Golovan <sgolovan@nes.ru>\n"
 "Language-Team: LANGUAGE <LL@li.org>\n"
 "MIME-Version: 1.0\n"
@@ -44,7 +44,6 @@
 #. Type: string
 #. Description
 #: ../templates:2001
-#, fuzzy
 msgid ""
 "Please provide the name of an account to administrate the ejabberd server. "
 "After the installation of ejabberd you can use this account to log in with "
only in patch2:
unchanged:
--- ejabberd-1.1.2.orig/debian/po/pt.po
+++ ejabberd-1.1.2/debian/po/pt.po
@@ -0,0 +1,97 @@
+# Portuguese translation of ejabberd's debconf messages.
+# Copyright (C) 2007
+# This file is distributed under the same license as the ejabberd package.
+# Luísa Lourenço <kikentai@gmail.com>, 2007.
+#
+msgid ""
+msgstr ""
+"Project-Id-Version: ejabberd 1.1.2-6\n"
+"Report-Msgid-Bugs-To: twerner@debian.org\n"
+"POT-Creation-Date: 2006-10-04 14:20+0200\n"
+"PO-Revision-Date: 2007-03-28 13:03+0100\n"
+"Last-Translator: Luísa Lourenço <kikentai@gmail.com>\n"
+"Language-Team: Portuguese <traduz@debianpt.org>\n"
+"MIME-Version: 1.0\n"
+"Content-Type: text/plain; charset=UTF-8\n"
+"Content-Transfer-Encoding: 8bit\n"
+
+#. Type: string
+#. Description
+#: ../templates:1001
+msgid "The name of the host ejabberd will serve:"
+msgstr "O nome da máquina que o ejabberd irá servir:"
+
+#. Type: string
+#. Description
+#: ../templates:1001
+msgid "Please enter the hostname of your Jabber server."
+msgstr "Por favor insira o nome da máquina do seu servidor de Jabber."
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "The name of an admin account for ejabberd:"
+msgstr "O nome de uma conta de admin para o ejabberd:"
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid ""
+"Please provide the name of an account to administrate the ejabberd server. "
+"After the installation of ejabberd you can use this account to log in with "
+"any Jabber client to do administrative tasks or go to http://"
+"${hostname}:5280/admin/ and log in with this account to enter the admin "
+"interface. Make sure to enter the full Jabber ID (e.g. '${user}@"
+"${hostname}') to log in; otherwise it will fail."
+msgstr ""
+"Por favor forneça o nome de uma conta para administrar o servidor ejabberd. "
+"Depois da instalação do ejabberd pode usar esta conta para se ligar a "
+"qualquer cliente Jabber para efectuar tarefas administrativas ou ir a "
+"http://${hostname}:5280/admin/ e ligar com esta conta para entrar na "
+"interface de admin. Certifique-se que insere o Jabber ID completo "
+"(p.e. '${user}@${hostname}') para se ligar; caso contrário irá falhar."
+
+#. Type: string
+#. Description
+#: ../templates:2001
+msgid "Leave empty if you don't want to create an admin account automatically."
+msgstr "Deixe em branco caso não queira criar uma conta admin automaticamente."
+
+#. Type: password
+#. Description
+#: ../templates:3001
+msgid "The password for the admin account:"
+msgstr "A palavra chave para a conta de admin:"
+
+#. Type: password
+#. Description
+#: ../templates:3001
+msgid "Please enter the password for the administrative user."
+msgstr "Por favor insira a palavra chave para o utilizador administrativo."
+
+#. Type: password
+#. Description
+#: ../templates:4001
+msgid "The password for the admin account again for verification:"
+msgstr "De novo a palavra chave para a conta de admin para verificação:"
+
+#. Type: password
+#. Description
+#: ../templates:4001
+msgid ""
+"Please reenter the password for the administrative user for verification."
+msgstr ""
+"Por favor re-insira a palavra chave para o utilizador administrativo para "
+"verificaçao."
+
+#. Type: error
+#. Description
+#: ../templates:5001
+msgid "The passwords do not match!"
+msgstr "As palavras chave não coincidem!"
+
+#. Type: error
+#. Description
+#: ../templates:5001
+msgid "The passwords you have typed do not match. Please try again."
+msgstr "As palavras chave que inseriu não coincidem. Por favor tente de novo."
